## zabbix-agent2-plugin-nvidia-gpu 7.4.0

=== debian/changelog ===
zabbix-agent2-plugin-nvidia-gpu (1:7.4.0-1+debian11) stable; urgency=low

  * update to 7.4.0

 -- Zabbix Packager <info@zabbix.com>  Mon, 30 Jun 2025 13:28:23 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.0~rc2-1) stable; urgency=low

  * update to 7.4.0rc2

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Jun 2025 15:44:53 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.0~rc1-1) stable; urgency=low

  * update to 7.4.0rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 04 Jun 2025 10:24:10 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.0~beta2-1) stable; urgency=low

  * update to 7.4.0beta2

 -- Zabbix Packager <info@zabbix.com>  Wed, 07 May 2025 12:13:16 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.0~beta1-1) stable; urgency=low

  * update to 7.4.0beta1

 -- Zabbix Packager <info@zabbix.com>  Mon, 07 Apr 2025 09:46:35 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.0~alpha1-1) stable; urgency=low

  * update to 7.4.0alpha1

 -- Zabbix Packager <info@zabbix.com>  Tue, 18 Feb 2025 09:42:26 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.3-1) stable; urgency=low

  * update to 7.2.3

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 16:14:11 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.3~rc1-1) stable; urgency=low

  * update to 7.2.3rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 Jan 2025 15:38:10 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.2-1) stable; urgency=low

  * update to 7.2.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 06 Jan 2025 12:53:40 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.2~rc1-1) stable; urgency=low

  * update to 7.2.2rc1

 -- Zabbix Packager <info@zabbix.com>  Fri, 03 Jan 2025 11:14:06 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.1-1) stable; urgency=low

  * update to 7.2.1

 -- Zabbix Packager <info@zabbix.com>  Fri, 20 Dec 2024 15:53:47 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.1~rc2-1) stable; urgency=low

  * update to 7.2.1rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 19 Dec 2024 15:03:48 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.2.1~rc1-1) stable; urgency=low

  * initial release of 7.2.1rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Dec 2024 17:39:20 +0200
