=== debian/control ===
Source: zabbix-agent2-plugin-nvidia-gpu
Section: net
Priority: optional
Maintainer: Zabbix Packager <info@zabbix.com>
Build-Depends: debhelper, quilt (>= 0.40) | devscripts (>= 2.17.12)
Standards-Version: 3.9.5
Homepage: https://www.zabbix.com

Package: zabbix-agent2-plugin-nvidia-gpu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: logrotate
Description: Zabbix Agent2 plugin for monitoring a broad range of NVIDIA GPU metrics
 This package is an add-on for zabbix-agent2.
 .
 This package enables monitoring NVIDIA boards with Zabbix Agent2.
