## zabbix-agent2-plugin-nvidia-gpu 7.4.3

=== debian/changelog ===
zabbix-agent2-plugin-nvidia-gpu (1:7.4.3-1+debian12) stable; urgency=low

  * update to 7.4.3

 -- Zabbix Packager <info@zabbix.com>  Tue, 30 Sep 2025 23:08:27 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.3~rc1-1) stable; urgency=low

  * update to 7.4.3rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 23 Sep 2025 15:26:51 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.2-1) stable; urgency=low

  * update to 7.4.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Aug 2025 13:15:07 +0300
