## zabbix-agent2-plugin-nvidia-gpu 7.4.4

=== debian/changelog ===
zabbix-agent2-plugin-nvidia-gpu (1:7.4.4-1+debian12) stable; urgency=low

  * update to 7.4.4

 -- Zabbix Packager <info@zabbix.com>  Wed, 29 Oct 2025 11:40:06 +0200

zabbix-agent2-plugin-nvidia-gpu (1:7.4.4~rc1-1) stable; urgency=low

  * update to 7.4.4rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 Oct 2025 09:57:59 +0300

zabbix-agent2-plugin-nvidia-gpu (1:7.4.3-1) stable; urgency=low

  * update to 7.4.3

 -- Zabbix Packager <info@zabbix.com>  Tue, 30 Sep 2025 23:08:27 +0300
